Bug 110165 - Kwin doesn't handle UTF-8/German Umlauts
Kwin doesn't handle UTF-8/German Umlauts
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-11-15 13:45 EST by Christoph Wickert
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 16:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2003-11-15 13:45:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
Window titles with German Umlauts are not shown correctly.
"�" becomes a box.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. log into KDE.
2. start Gimp or start KSnapshot
3. or start any app with an Umlaut like Ä ä Ö ö Ü ü in the window title.

Actual Results:  The Word "Kanäle" (Channels) becomes "Kan e",
"Geändert" (changed) becomes "Ge dert"

Additional info:

locale ist set to "de_DE.UTF-8"

As you see mozilla can't handle Umlauts in UTF-8 ether.
Comment 1 Matthew Miller 2006-07-11 13:39:21 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-25 16:16:23 EDT
Closed per above message and lack of response.  Note that FC1 and FC2 are not even
supported by Fedora Legacy anymore.

Note You need to log in before you can comment on or make changes to this bug.